"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Divider = ({
  style,
  color,
  height,
  theme: {
    colors
  }
}) => {
  return /*#__PURE__*/React.createElement(_reactNative.View, {
    style: [{
      backgroundColor: color || colors.divider
    }, style, {
      height: height || _reactNative.StyleSheet.hairlineWidth
    }]
  });
};

var _default = (0, _theming.withTheme)(Divider);

exports.default = _default;
const SEED_DATA = [{
  name: "Divider",
  tag: "Divider",
  category: _componentTypes.COMPONENT_TYPES.layout,
  description: "A horizontal line used to divide content",
  preview_image_url: "{CLOUDINARY_URL}/Divider.png",
  supports_list_render: false,
  props: {
    color: {
      group: _componentTypes.GROUPS.basic,
      label: "Color",
      description: "The color of the divider",
      editable: true,
      required: false,
      defaultValue: "divider",
      formType: _componentTypes.FORM_TYPES.color,
      propType: _componentTypes.PROP_TYPES.THEME
    },
    height: {
      group: _componentTypes.GROUPS.basic,
      label: "Height",
      description: "The height (thickness) of the divider. If not provided, defaults to StyleSheet.hairlineWidth.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.number,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      defaultValue: 1,
      min: 1,
      max: 50,
      step: 1,
      precision: 0
    }
  },
  layout: {
    height: 1
  }
}];
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=Divider.js.map