"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theming = require("../core/theming");

var _RadioButton = _interopRequireDefault(require("./RadioButton"));

var _Text = _interopRequireDefault(require("./Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RadioButtonFieldRow = ({
  label,
  theme,
  backgroundColor = "background",
  labelColor = "strong",
  radioButtonColor = "primary",
  onPress,
  selected,
  style,
  labelStyle
}) => {
  return /*#__PURE__*/React.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    style: [styles.mainParent, style, {
      backgroundColor: theme.colors[backgroundColor]
    }]
  }, /*#__PURE__*/React.createElement(_Text.default, {
    style: [styles.label, labelStyle, {
      color: theme.colors[labelColor]
    }]
  }, label), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.radioButton
  }, /*#__PURE__*/React.createElement(_RadioButton.default, {
    color: theme.colors[radioButtonColor],
    unselectedColor: radioButtonColor,
    selected: selected,
    onPress: onPress
  })));
};

const styles = _reactNative.StyleSheet.create({
  mainParent: {
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "space-around",
    paddingStart: 20,
    minHeight: 50,
    paddingEnd: 20
  },
  label: {
    flex: 3,
    fontSize: 14
  },
  radioButton: {
    flex: 1,
    alignItems: "flex-end"
  }
});

var _default = (0, _theming.withTheme)(RadioButtonFieldRow);

exports.default = _default;
//# sourceMappingURL=RadioButtonFieldRow.js.map