"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

var _Row = _interopRequireDefault(require("./Row"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _Config = _interopRequireDefault(require("./Config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RowHeadlineImageIcon = ({
  title,
  image,
  subtitle,
  multilineSubtitle = false,
  icon,
  style,
  theme: {
    colors,
    typography,
    spacing
  }
}) => {
  return /*#__PURE__*/React.createElement(_Row.default, {
    titleTypeStyle: typography.headline6,
    titleColor: colors.strong,
    subtitleTypeStyle: typography.body2,
    subtitleColor: colors.medium,
    title: title,
    subtitle: subtitle,
    multilineSubtitle: multilineSubtitle,
    image: image,
    right: () => /*#__PURE__*/React.createElement(_Icon.default, {
      name: icon,
      size: multilineSubtitle ? _Config.default.rowMultiLineIconSize : _Config.default.rowSingleLineIconSize,
      color: colors.light,
      style: {
        marginLeft: spacing.large,
        alignSelf: multilineSubtitle ? "flex-start" : "center",
        marginTop: multilineSubtitle ? spacing.text : 0
      }
    }),
    style: style
  });
};

var _default = (0, _theming.withTheme)(RowHeadlineImageIcon);

exports.default = _default;
const SEED_DATA = [{
  name: "Row Single Line Headline Icon",
  tag: "RowHeadlineImageIcon",
  description: "A row with left aligned headline text and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_SingleLine_HeadlineIcon.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Headline text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    icon: {
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      defaultValue: null,
      editable: true
    }
  },
  layout: {}
}, {
  name: "Row Single Line Headline Icon Image",
  tag: "RowHeadlineImageIcon",
  description: "A row with left aligned image and headline text and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_SingleLine_HeadlineIconImage.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Headline text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    icon: {
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      defaultValue: null,
      editable: true
    },
    image: {
      label: "Image",
      description: "Image to display",
      formType: _componentTypes.FORM_TYPES.remoteImage,
      defaultValue: null,
      editable: true
    }
  },
  layout: {}
}, {
  name: "Row Double Line Headline Icon",
  tag: "RowHeadlineImageIcon",
  description: "A row with left aligned headline text and subtitle text and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_DoubleLine_HeadlineIcon.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Headline text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    subtitle: {
      label: "Subtitle",
      description: "Subtitle text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "San Diego",
      editable: true
    },
    icon: {
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      defaultValue: null,
      editable: true
    }
  },
  layout: {}
}, {
  name: "Row Double Line Headline Image Icon",
  tag: "RowHeadlineImageIcon",
  description: "A row with left aligned headline text and subtitle text and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_DoubleLine_HeadlineImageIcon.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Headline text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    subtitle: {
      label: "Subtitle",
      description: "Subtitle text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "San Diego",
      editable: true
    },
    icon: {
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      defaultValue: null,
      editable: true
    },
    image: {
      label: "Image",
      description: "Image to display",
      formType: _componentTypes.FORM_TYPES.remoteImage,
      defaultValue: null,
      editable: true
    }
  },
  layout: {}
}, {
  name: "Row Multiline Headline Icon",
  tag: "RowHeadlineImageIcon",
  description: "A row with left aligned headline text and multiline subtitle text and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_Multiline_HeadlineIcon.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Headline text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    subtitle: {
      label: "Subtitle",
      description: "Subtitle text to display",
      formType: _componentTypes.FORM_TYPES.string,
      value: "San Diego is a city on the Pacific coast of California known for its beaches, parks and warm climate",
      editable: true
    },
    icon: {
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      defaultValue: null,
      editable: true
    },
    multilineSubtitle: {
      formType: _componentTypes.FORM_TYPES.boolean,
      defaultValue: true,
      editable: false
    }
  },
  layout: {}
}, {
  name: "Row Multiline Headline Image Icon",
  tag: "RowHeadlineImageIcon",
  description: "A row with left aligned image, headline text, and multiline subtitle text, and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_Multiline_HeadlineImageIcon.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Headline text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    subtitle: {
      label: "Subtitle",
      description: "Subtitle text to display",
      formType: _componentTypes.FORM_TYPES.string,
      value: "San Diego is a city on the Pacific coast of California known for its beaches, parks and warm climate",
      editable: true
    },
    icon: {
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      defaultValue: null,
      editable: true
    },
    image: {
      label: "Image",
      description: "Image to display",
      formType: _componentTypes.FORM_TYPES.remoteImage,
      defaultValue: null,
      editable: true
    },
    multilineSubtitle: {
      formType: _componentTypes.FORM_TYPES.boolean,
      defaultValue: true,
      editable: false
    }
  },
  layout: {}
}];
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=RowHeadlineImageIcon.js.map