"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theming = require("../core/theming");

var _Config = _interopRequireDefault(require("./Config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

class ScreenContainer extends React.Component {
  renderScrollableSafeAreaView(themeStyles) {
    const {
      children,
      style
    } = this.props;
    return /*#__PURE__*/React.createElement(_reactNative.SafeAreaView, {
      style: [styles.container, {
        backgroundColor: themeStyles.backgroundColor,
        paddingTop: _Config.default.topSafeAreaViewHeight
      }]
    }, /*#__PURE__*/React.createElement(_reactNative.ScrollView, {
      style: themeStyles,
      contentContainerStyle: [{
        flexGrow: 1
      }, style]
    }, children));
  }

  renderSafeAreaView(themeStyle) {
    const {
      children,
      style
    } = this.props;
    return /*#__PURE__*/React.createElement(_reactNative.SafeAreaView, {
      style: [styles.container, {
        backgroundColor: themeStyle.backgroundColor,
        paddingTop: _Config.default.topSafeAreaViewHeight
      }]
    }, /*#__PURE__*/React.createElement(_reactNative.View, {
      style: [styles.container, themeStyle, style]
    }, children));
  }

  renderScrollView(themeStyles) {
    const {
      children,
      style
    } = this.props;
    return /*#__PURE__*/React.createElement(_reactNative.ScrollView, {
      style: [themeStyles],
      contentContainerStyle: [{
        flexGrow: 1
      }, style]
    }, children);
  }

  renderView(themeStyles) {
    const {
      children,
      style
    } = this.props;
    return /*#__PURE__*/React.createElement(_reactNative.View, {
      style: [styles.container, themeStyles, style]
    }, children);
  }

  render() {
    const {
      theme,
      hasSafeArea,
      scrollable
    } = this.props;
    const themeStyles = {
      backgroundColor: theme.colors.background
    };

    if (scrollable && hasSafeArea) {
      return this.renderScrollableSafeAreaView(themeStyles);
    }

    if (hasSafeArea) {
      return this.renderSafeAreaView(themeStyles);
    }

    if (scrollable) {
      return this.renderScrollView(themeStyles);
    }

    return this.renderView(themeStyles);
  }

}

const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1
  }
});

var _default = (0, _theming.withTheme)(ScreenContainer);

exports.default = _default;
//# sourceMappingURL=ScreenContainer.js.map