"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class Text extends React.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "_root", void 0);
  }

  setNativeProps(args) {
    return this._root && this._root.setNativeProps(args);
  }

  render() {
    const _this$props = this.props,
          {
      style
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["style"]);

    const writingDirection = _reactNative.I18nManager.isRTL ? "rtl" : "ltr";
    return /*#__PURE__*/React.createElement(_reactNative.Text, _extends({}, rest, {
      ref: c => {
        this._root = c;
      },
      style: [{
        textAlign: "left",
        writingDirection
      }, style]
    }));
  }

}

var _default = (0, _theming.withTheme)(Text);

exports.default = _default;
const SEED_DATA = {
  name: "Text",
  tag: "Text",
  description: "A basic Text component",
  category: _componentTypes.COMPONENT_TYPES.basic,
  layout: {
    color: "strong" // This is translated on collector script run by the extractValueAndType function

  },
  props: {
    children: {
      group: _componentTypes.GROUPS.data,
      label: "Text",
      description: "Text for the text",
      editable: true,
      required: true,
      formType: _componentTypes.FORM_TYPES.string,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: "Change me under the Data Panel"
    },
    accessibilityLabel: {
      group: _componentTypes.GROUPS.accessibility,
      name: "accessibilityLabel",
      label: "accessibilityLabel",
      description: "Overrides the text that's read by the screen reader when the user interacts with the element. By default, the label is constructed by traversing all the children and accumulating all the Text nodes separated by space.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.string,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: null
    },
    accessibilityRole: {
      group: _componentTypes.GROUPS.accessibility,
      name: "accessibilityRole",
      label: "accessibilityRole",
      description: "Tells the screen reader to treat the currently focused on element as having a specific role.Possible values for AccessibilityRole is one of:\n'none' - The element has no role.\n'button' - The element should be treated as a button.\n'link' - The element should be treated as a link.\n'header' - The element is a header that divides content into sections.\n'search' - The element should be treated as a search field.\n'image' - The element should be treated as an image.\n'key' - The element should be treated like a keyboard key.\n'text' - The element should be treated as text.\n'summary' - The element provides app summary information.\n'imagebutton' - The element has the role of both an image and also a button.\n'adjustable' - The element allows adjustment over a range of values.\nOn iOS, these roles map to corresponding Accessibility Traits. Image button has the same functionality as if the trait was set to both 'image' and 'button'. See the Accessibility guide for more information.On Android, these roles have similar functionality on TalkBack as adding Accessibility Traits does on Voiceover in iOS",
      options: ["none", "button", "link", "header", "search", "image", "key", "text", "summary", "imagebutton", "adjustable"],
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: null
    },
    accessible: {
      group: _componentTypes.GROUPS.accessibility,
      name: "accessible",
      label: "accessible",
      description: "When set to true, indicates that the view is an accessibility element. The default value for a Text element is true.See the Accessibility guide for more information.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN,
      defaultValue: null
    },
    adjustsFontSizeToFit: {
      group: _componentTypes.GROUPS.advanced,
      name: "adjustsFontSizeToFit",
      label: "adjustsFontSizeToFit",
      description: "Specifies whether fonts should be scaled down automatically to fit given style constraints.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN,
      defaultValue: null
    },
    allowFontScaling: {
      group: _componentTypes.GROUPS.advanced,
      name: "allowFontScaling",
      label: "allowFontScaling",
      description: "Specifies whether fonts should scale to respect Text Size accessibility settings. The default is true.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN,
      defaultValue: null
    },
    dataDetectorType: {
      group: _componentTypes.GROUPS.advanced,
      name: "dataDetectorType",
      label: "dataDetectorType",
      description: "Determines the types of data converted to clickable URLs in the text element. By default no data types are detected.You can provide only one type.Possible values for dataDetectorType are:\n'phoneNumber'\n'link'\n'email'\n'none'\n'all'\n",
      options: ["phoneNumber", "link", "email", "none", "all"],
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: null
    },
    disabled: {
      group: _componentTypes.GROUPS.basic,
      name: "disabled",
      label: "disabled",
      description: "Specifies the disabled state of the text view for testing purposes",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN,
      defaultValue: null
    },
    ellipsizeMode: {
      group: _componentTypes.GROUPS.basic,
      name: "ellipsizeMode",
      label: "ellipsizeMode",
      description: 'When numberOfLines is set, this prop defines how text will be truncated. numberOfLines must be set in conjunction with this prop.This can be one of the following values:\nhead - The line is displayed so that the end fits in the container and the missing text at the beginning of the line is indicated by an ellipsis glyph. e.g., "...wxyz"\nmiddle - The line is displayed so that the beginning and end fit in the container and the missing text in the middle is indicated by an ellipsis glyph. "ab...yz"\ntail - The line is displayed so that the beginning fits in the container and the missing text at the end of the line is indicated by an ellipsis glyph. e.g., "abcd..."\nclip - Lines are not drawn past the edge of the text container.\nThe default is tail.',
      options: ["head", "middle", "tail", "clip"],
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: null
    },
    maxFontSizeMultiplier: {
      group: _componentTypes.GROUPS.advanced,
      name: "maxFontSizeMultiplier",
      label: "maxFontSizeMultiplier",
      description: "Specifies largest possible scale a font can reach when allowFontScaling is enabled. Possible values:\nnull/undefined (default): inherit from the parent node or the global default (0)\n0: no max, ignore parent/global default\n>= 1: sets the maxFontSizeMultiplier of this node to this value\n",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.number,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      defaultValue: null
    },
    minimumFontScale: {
      group: _componentTypes.GROUPS.advanced,
      name: "minimumFontScale",
      label: "minimumFontScale",
      description: "Specifies smallest possible scale a font can reach when adjustsFontSizeToFit is enabled. (values 0.01-1.0).",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.number,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      min: 0.01,
      step: 0.01,
      precision: 2,
      max: 1.0,
      defaultValue: null
    },
    numberOfLines: {
      group: _componentTypes.GROUPS.basic,
      name: "numberOfLines",
      label: "numberOfLines",
      defaultValue: null,
      description: "Used to truncate the text with an ellipsis after computing the text layout, including line wrapping, such that the total number of lines does not exceed this number.This prop is commonly used with ellipsizeMode.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.number,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      step: 1,
      precision: 1
    },
    selectable: {
      group: _componentTypes.GROUPS.advanced,
      name: "selectable",
      label: "selectable",
      description: "Lets the user select text, to use the native copy and paste functionality.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN,
      defaultValue: null
    },
    selectionColor: {
      group: _componentTypes.GROUPS.advanced,
      name: "selectionColor",
      label: "selectionColor",
      description: "The highlight color of the text.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.color,
      propType: _componentTypes.PROP_TYPES.THEME,
      defaultValue: null
    },
    suppressHighlighting: {
      group: _componentTypes.GROUPS.advanced,
      name: "suppressHighlighting",
      label: "suppressHighlighting",
      description: "When true, no visual change is made when text is pressed down. By default, a gray oval highlights the text on press down.",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN,
      defaultValue: null
    },
    textBreakStrategy: {
      group: _componentTypes.GROUPS.advanced,
      name: "textBreakStrategy",
      label: "textBreakStrategy",
      description: "Set text break strategy on Android API Level 23+, possible values are simple, highQuality, balanced The default value is highQuality.",
      options: ["simple", "highQuality", "balanced"],
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: null
    }
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=Text.js.map