"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = void 0;

var _componentTypes = require("../core/component-types");

const SEED_DATA = {
  name: "List",
  tag: "FlatList",
  description: "A basic List component",
  category: _componentTypes.COMPONENT_TYPES.data,
  props: {
    horizontal: {
      group: _componentTypes.GROUPS.basic,
      label: "Horizontal",
      description: "Render list horizontally",
      editable: true,
      required: true,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN,
      defaultValue: false
    },
    numColumns: (0, _componentTypes.createNumColumnsType)({
      group: _componentTypes.GROUPS.basic,
      editable: true,
      required: true,
      description: "Number of columns (vertical list only)"
    })
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=FlatList.js.map