"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = void 0;

var _componentTypes = require("../core/component-types");

const SEED_DATA = {
  name: "Web View",
  tag: "WebView",
  description: "Embed a website into your app",
  doc_link: "https://docs.expo.io/versions/latest/sdk/video/",
  code_link: "https://github.com/expo/expo/blob/master/packages/expo-av/src/Video.tsx",
  category: _componentTypes.COMPONENT_TYPES.media,
  layout: {
    flexGrow: 1,
    flexShrink: 1,
    flexBasis: 0
  },
  props: {
    source: {
      group: _componentTypes.GROUPS.data,
      label: "Website URL",
      description: "The URL for the website",
      editable: true,
      required: true,
      defaultValue: "https://draftbit.com",
      formType: _componentTypes.FORM_TYPES.sourceUrl,
      propType: _componentTypes.PROP_TYPES.OBJECT
    }
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=WebView.js.map