import React from "react";
import { withTheme } from "../core/theming";
import Touchable from "./Touchable";
import Config from "./Config";

const Card = ({
  numColumns = 3,
  children,
  onPress,
  theme: {
    spacing
  },
  style
}) => {
  let cardStyle;

  if (numColumns === 1) {
    cardStyle = {
      width: (Config.windowWidth - spacing.gutters * 2 - spacing.small * 2) / 3
    };
  } else if (numColumns === 2) {
    cardStyle = {
      width: (Config.windowWidth - spacing.gutters * 2 - spacing.small) / 2
    };
  } else {
    cardStyle = {
      width: Config.windowWidth - spacing.gutters * 2
    };
  }

  return /*#__PURE__*/React.createElement(Touchable, {
    disabled: !onPress,
    onPress: onPress,
    style: [cardStyle, style]
  }, children);
};

export default withTheme(Card);
//# sourceMappingURL=Card.js.map