function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from "react";
import { View, StyleSheet, Platform, Appearance, TouchableWithoutFeedback } from "react-native";
import { useSafeAreaInsets } from "react-native-safe-area-context";
import dateFormat from "dateformat";
import { withTheme } from "../../core/theming";
import Portal from "../Portal/Portal";
import Button from "../Button";
import TextField from "../TextField";
import Touchable from "../Touchable";
import DateTimePicker from "./DatePickerComponent";
const MONTHS = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

const DatePicker = (_ref) => {
  let {
    style,
    theme: {
      colors
    },
    date = new Date(),
    onDateChange = () => {},
    disabled = false,
    mode = "date",
    format,
    backgroundColorIOS = "rgba(35, 43, 63, 0.9)"
  } = _ref,
      props = _objectWithoutProperties(_ref, ["style", "theme", "date", "onDateChange", "disabled", "mode", "format", "backgroundColorIOS"]);

  const [pickerVisible, setPickerVisible] = React.useState(false);
  const textField = React.useRef(null);

  const formatDate = () => {
    if (format) return dateFormat(date, format);

    if (mode === "time") {
      return "".concat(date.toLocaleTimeString());
    }

    if (mode === "datetime") {
      return "".concat(date.toLocaleString());
    }

    return "".concat(MONTHS[date.getMonth()], " ").concat(date.getDate(), ", ").concat(date.getFullYear());
  };

  const toggleVisibility = async () => {
    setPickerVisible(!pickerVisible);

    if (textField.current) {
      //@ts-ignore
      textField.current.toggleFocus(); // cannot determine if method exists due to component being wrapped in a withTheme()
    }
  };

  const insets = useSafeAreaInsets();
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, style]
  }, /*#__PURE__*/React.createElement(Touchable, {
    disabled: disabled,
    onPress: toggleVisibility
  }, /*#__PURE__*/React.createElement(View, {
    pointerEvents: "none"
  }, /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: formatDate() //@ts-ignore
    ,
    ref: textField // cannot determine if ref is of correct type due to component being wrapped in a withTheme()
    ,
    disabled: disabled
  })))), pickerVisible && /*#__PURE__*/React.createElement(Portal, null, /*#__PURE__*/React.createElement(View, {
    style: [styles.picker, Platform.OS === "ios" && styles.iosPicker, {
      backgroundColor: Platform.OS === "ios" ? backgroundColorIOS : Appearance.getColorScheme() === "light" ? colors.divider : colors.medium
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.pickerContainer, {
      paddingTop: 0,
      paddingBottom: 0,
      paddingLeft: insets.left,
      paddingRight: insets.right
    }]
  }, Platform.OS === "ios" && /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
    onPress: toggleVisibility
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iosOverlay
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      paddingTop: insets.top,
      paddingBottom: insets.bottom,
      backgroundColor: Appearance.getColorScheme() === "light" ? colors.divider : colors.medium
    }
  }, Platform.OS === "ios" && /*#__PURE__*/React.createElement(Button, {
    type: "text",
    onPress: toggleVisibility,
    style: styles.closeButton,
    labelColor: Appearance.getColorScheme() === "dark" ? colors.divider : colors.primary
  }, "Close"), /*#__PURE__*/React.createElement(DateTimePicker, {
    value: date,
    mode: mode,
    isVisible: pickerVisible,
    toggleVisibility: toggleVisibility,
    onChange: (_event, data) => {
      Platform.OS === "ios" ? null : toggleVisibility();
      onDateChange(data);
    }
  }))))));
};

const styles = StyleSheet.create({
  container: {
    alignSelf: "stretch"
  },
  picker: {
    position: "absolute",
    bottom: 0,
    left: 0,
    right: 0,
    flexDirection: "row",
    justifyContent: "center"
  },
  iosPicker: {
    top: 0
  },
  pickerContainer: {
    flexDirection: "column",
    width: "100%"
  },
  iosOverlay: {
    flex: 1
  },
  closeButton: {
    alignSelf: "flex-end"
  }
});
export default withTheme(DatePicker);
//# sourceMappingURL=DatePicker.js.map