import React from "react";
import { Platform } from "react-native";
import DateTimePicker from "@react-native-community/datetimepicker";

const DatePickerComponent = ({
  value,
  onChange: _onChange,
  mode,
  toggleVisibility,
  textColor = "#111"
}) => {
  return /*#__PURE__*/React.createElement(DateTimePicker, {
    value: value,
    mode: mode,
    onChange: (_event, data) => {
      Platform.OS === "ios" ? null : toggleVisibility();

      _onChange(null, data);
    },
    display: Platform.OS === "ios" ? "spinner" : "default",
    textColor: textColor
  });
};

export default DatePickerComponent;
//# sourceMappingURL=DatePickerComponent.js.map