function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { Image as NativeImage, StyleSheet } from "react-native";
import AspectRatio from "./AspectRatio.web";
import Config from "./Config";

const Image = (_ref) => {
  let {
    source = Config.placeholderImageURL,
    style,
    resizeMode = "cover"
  } = _ref,
      props = _objectWithoutProperties(_ref, ["source", "style", "resizeMode"]);

  if (style && StyleSheet.flatten(style).aspectRatio) {
    return /*#__PURE__*/React.createElement(AspectRatio, {
      style: style
    }, /*#__PURE__*/React.createElement(NativeImage, {
      style: [style, {
        height: "100%",
        width: "100%"
      }],
      source: source,
      resizeMode: resizeMode
    }));
  }

  return /*#__PURE__*/React.createElement(NativeImage, _extends({
    source: source
  }, props));
};

export default Image;
//# sourceMappingURL=Image.web.js.map