import * as React from "react";
import { View, StyleSheet } from "react-native";
import Icon from "./Icon";
import { withTheme } from "../core/theming";

const StarRating = ({
  starSize = 16,
  maxStars = 5,
  rating = 0,
  theme: {
    colors
  },
  style
}) => {
  const ratingRounded = Math.round(rating * 2) / 2;
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.containerStyle, style]
  }, [...Array(maxStars)].map((_, i) => /*#__PURE__*/React.createElement(Icon, {
    key: i,
    name: ratingRounded - i === 0.5 ? "MaterialIcons/star-half" : "MaterialIcons/star",
    size: starSize,
    color: ratingRounded > i ? colors.primary : colors.divider
  })));
};

const styles = StyleSheet.create({
  containerStyle: {
    flexDirection: "row",
    alignItems: "center"
  }
});
export default withTheme(StarRating);
//# sourceMappingURL=StarRating.js.map