function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { View, TouchableOpacity as Touchable } from "react-native";
import { GROUPS, COMPONENT_TYPES, FORM_TYPES } from "../core/component-types";
export default class extends React.Component {
  render() {
    const _this$props = this.props,
          {
      children
    } = _this$props,
          props = _objectWithoutProperties(_this$props, ["children"]);

    return /*#__PURE__*/React.createElement(Touchable, props, /*#__PURE__*/React.createElement(View, null, children));
  }

}
export const SEED_DATA = {
  name: "Touchable",
  tag: "Touchable",
  description: "Provides a way to capture tapping gestures, and displays feedback when a gesture is recognized",
  category: COMPONENT_TYPES.input,
  supports_list_render: false,
  layout: {},
  props: {
    onPress: {
      group: GROUPS.basic,
      label: "Action",
      description: "Action to execute when touchable pressed",
      editable: true,
      required: false,
      formType: FORM_TYPES.action,
      defaultValue: null
    },
    hitSlop: {
      group: GROUPS.advanced,
      label: "Hit Slop",
      description: "Makes the Touchable easier to press by expanding the touchable area a specified number of points, without having to change the layout of the Touchable (e.g. by adding padding)",
      editable: true,
      required: false,
      formType: FORM_TYPES.position,
      defaultValue: null
    }
  }
};
//# sourceMappingURL=Touchable.js.map