import React from "react";
import { StyleProp, ViewStyle } from "react-native";
import theme from "../styles/DefaultTheme";
interface Props {
    image?: string | Blob;
    title?: string;
    leftDescription?: string;
    rightDescription?: string;
    titleCentered: boolean;
    aspectRatio?: number;
    elevation?: number;
    numColumns?: number;
    theme: typeof theme;
    style?: StyleProp<ViewStyle>;
    onPress: () => void;
}
declare const _default: (React.ComponentClass<Pick<Props, "style" | "title" | "image" | "aspectRatio" | "onPress" | "elevation" | "numColumns" | "leftDescription" | "rightDescription" | "titleCentered"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}, any> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>) | (React.FunctionComponent<Pick<Props, "style" | "title" | "image" | "aspectRatio" | "onPress" | "elevation" | "numColumns" | "leftDescription" | "rightDescription" | "titleCentered"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>);
export default _default;
export declare const SEED_DATA: ({
    name: string;
    tag: string;
    description: string;
    category: string;
    props: {
        numColumns: any;
        image: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: null;
            editable: boolean;
            required: boolean;
        };
        title: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        leftDescription: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        rightDescription: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        aspectRatio: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: number;
            editable: boolean;
            required: boolean;
        };
        titleCentered: {
            group: string;
            label: string;
            description: string;
            formType: string;
            defaultValue: boolean;
            editable: boolean;
            required: boolean;
        };
        elevation: {
            defaultValue: any;
            label: string;
            description: string;
            formType: string;
            propType: string;
            options: number[];
            editable: boolean;
            required: boolean;
            group: string;
        };
    };
} | {
    name: string;
    tag: string;
    description: string;
    category: string;
    props: {
        icon: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: null;
            editable: boolean;
        };
        numColumns: any;
        image: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: null;
            editable: boolean;
            required: boolean;
        };
        title: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        leftDescription: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        rightDescription: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        aspectRatio: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: number;
            editable: boolean;
            required: boolean;
        };
        titleCentered: {
            group: string;
            label: string;
            description: string;
            formType: string;
            defaultValue: boolean;
            editable: boolean;
            required: boolean;
        };
        elevation: {
            defaultValue: any;
            label: string;
            description: string;
            formType: string;
            propType: string;
            options: number[];
            editable: boolean;
            required: boolean;
            group: string;
        };
    };
})[];
